org.springframework.jca.cci.connection

## Class ConnectionHolder

- java.lang.Object
- - org.springframework.transaction.support.ResourceHolderSupport
  - - org.springframework.jca.cci.connection.ConnectionHolder

All Implemented Interfaces:
  ResourceHolder

    public class ConnectionHolder
    extends ResourceHolderSupport

Connection holder, wrapping a CCI Connection.

CciLocalTransactionManager binds instances of this class to the thread, for a given ConnectionFactory.

Note: This is an SPI class, not intended to be used by applications.

Since:
  1.2
Author:
  Thierry Templier, Juergen Hoeller
See Also:
  `CciLocalTransactionManager`, `ConnectionFactoryUtils`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionHolder(Connection connection)`

### Method Summary

Methods
`Connection` `getConnection()`

### Methods inherited from class org.springframework.transaction.support.ResourceHolderSupport

`clear, getDeadline, getTimeToLiveInMillis, getTimeToLiveInSeconds, hasTimeout, isOpen, isRollbackOnly, isSynchronizedWithTransaction, isVoid, released, requested, reset, setRollbackOnly, setSynchronizedWithTransaction, setTimeoutInMillis, setTimeoutInSeconds, unbound`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionHolder

    public ConnectionHolder(Connection connection)

### Method Detail

#### getConnection

    public Connection getConnection()